Glue API: Retrieve merchant addresses
Edit on GitHub
This page describes the API endpoint contract, which is the same regardless of the serving infrastructure. Storefront API endpoints are served by API Platform (recommended) or the legacy Glue infrastructure; Backend API endpoints currently run on the Glue infrastructure.
This document describes how to retrieve merchant addresses.
Retrieve merchant addresses
To retrieve merchant addresses, send the request:
GET /merchants/{{merchantId}}/merchant-addresses
| PATH PARAMETER | DESCRIPTION |
|---|---|
| {{merchantId}} | Unique identifier of a merchant to retrieve the addresses of. To get it, retrieve all merchants. |
Note
This endpoint returns only active merchants. You can activate merchants in the Back Office.
Request
Request sample: retrieve merchant addresses
GET https://glue.mysprykershop.com/merchants/MER000001/merchant-addresses
Response
Response sample: retrieve merchant addresses
{
"data": [
{
"type": "merchant-addresses",
"id": "MER000001",
"attributes": {
"addresses": [
{
"countryName": "CountryName",
"address1": "address1",
"address2": "address2",
"address3": null,
"city": "City",
"zipCode": null,
"email": null
},
{
"countryName": "CountryName2",
"address1": "address3",
"address2": "address4",
"address3": null,
"city": "City2",
"zipCode": null,
"email": null
},
{
"countryName": "Germany",
"address1": "Caroline-Michaelis-Straße",
"address2": "8",
"address3": "",
"city": "Berlin",
"zipCode": "10115",
"email": null
}
]
},
"links": {
"self": "https://glue.mysprykershop.com/merchants/MER000001/merchant-addresses"
}
}
],
"links": {
"self": "https://glue.mysprykershop.com/merchants/MER000001/merchant-addresses"
}
}
| ATTRIBUTE | TYPE | DESCRIPTION |
|---|---|---|
| addresses | Array | List of merchant addresses information. |
| addresses.countryName | String | Country name. |
| addresses.address1 | String | First line of the merchant address. |
| addresses.address2 | String | Second line of the merchant address. |
| addresses.address3 | String | Third line of the merchant address. |
| addresses.city | String | City name. |
| addresses.zipCode | String | ZIP code. |
| addresses.email | String | Email address. |
Possible errors
For statuses, see Reference information: GlueApplication errors.
Thank you!
For submitting the form